Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.wml.dom
Class WMLSelectElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.wml.dom.WMLElementImpl
                                    |
                                    +--weblogic.apache.wml.dom.WMLSelectElementImpl

public class WMLSelectElementImpl
extends WMLElementImpl
implements WMLSelectElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: WMLSelectElementImpl.java,v 1.1 2000/04/23 18:07:48 david Exp $
Author:
  David Li
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`WMLSelectElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getId()`
`java.lang.String` | `getIName()`
`java.lang.String` | `getIValue()`
`boolean` | `getMultiple()`
`java.lang.String` | `getName()`
`int` | `getTabIndex()`
`java.lang.String` | `getTitle()`
`java.lang.String` | `getValue()`
`java.lang.String` | `getXmlLang()`
`void` | `setClassName(java.lang.String newValue)`
`void` | `setId(java.lang.String newValue)`
`void` | `setIName(java.lang.String newValue)`
`void` | `setIValue(java.lang.String newValue)`
`void` | `setMultiple(boolean newValue)`
`void` | `setName(java.lang.String newValue)`
`void` | `setTabIndex(int newValue)`
`void` | `setTitle(java.lang.String newValue)`
`void` | `setValue(java.lang.String newValue)`
`void` | `setXmlLang(java.lang.String newValue)`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMLSelectElementImpl

    public WMLSelectElementImpl(WMLDocumentImpl owner,
                                java.lang.String tagName)

Method Detail

### setMultiple

    public void setMultiple(boolean newValue)

  Specified by:
    setMultiple in interface WMLSelectElement

### getMultiple

    public boolean getMultiple()

  Specified by:
    getMultiple in interface WMLSelectElement

### setValue

    public void setValue(java.lang.String newValue)

  Specified by:
    setValue in interface WMLSelectElement

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface WMLSelectElement

### setTabIndex

    public void setTabIndex(int newValue)

  Specified by:
    setTabIndex in interface WMLSelectElement

### getTabIndex

    public int getTabIndex()

  Specified by:
    getTabIndex in interface WMLSelectElement

### setClassName

    public void setClassName(java.lang.String newValue)

  Overrides:
    setClassName in class WMLElementImpl

### getClassName

    public java.lang.String getClassName()

  Overrides:
    getClassName in class WMLElementImpl

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  Specified by:
    setXmlLang in interface WMLSelectElement

  Overrides:
    setXmlLang in class WMLElementImpl

### getXmlLang

    public java.lang.String getXmlLang()

  Specified by:
    getXmlLang in interface WMLSelectElement

  Overrides:
    getXmlLang in class WMLElementImpl

### setTitle

    public void setTitle(java.lang.String newValue)

  Specified by:
    setTitle in interface WMLSelectElement

### getTitle

    public java.lang.String getTitle()

  Specified by:
    getTitle in interface WMLSelectElement

### setIValue

    public void setIValue(java.lang.String newValue)

  Specified by:
    setIValue in interface WMLSelectElement

### getIValue

    public java.lang.String getIValue()

  Specified by:
    getIValue in interface WMLSelectElement

### setId

    public void setId(java.lang.String newValue)

  Overrides:
    setId in class WMLElementImpl

### getId

    public java.lang.String getId()

  Overrides:
    getId in class WMLElementImpl

### setIName

    public void setIName(java.lang.String newValue)

  Specified by:
    setIName in interface WMLSelectElement

### getIName

    public java.lang.String getIName()

  Specified by:
    getIName in interface WMLSelectElement

### setName

    public void setName(java.lang.String newValue)

  Specified by:
    setName in interface WMLSelectElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface WMLSelectElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD